Bug 489822 - OpenMPI is not really in Fedora 10
OpenMPI is not really in Fedora 10
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 21:05 EDT by Alexei Podtelezhnikov
Modified: 2009-06-30 17:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 17:15:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexei Podtelezhnikov 2009-03-11 21:05:20 EDT
I cannot find am up-to-date version of OpenMPI in Fedora 10 repositories.
All I see is 1.2.4-2.fc9. Yes fc9 for Fedora 10 through yum.

1.2.5 1.2.6 1.2.7 1.2.8 1.2.9 had been ignored.
1.3.0 continues to be ignored.

I also noticed contemporary mpich2 1.0.8 released into F10 Updates Stable 

Is it still maintained and supported? Is Fedora done with OpenMPI?
Comment 1 Doug Ledford 2009-03-19 15:11:08 EDT
Jay is helping out with Open MPI issues, so added him to the Cc list.
Comment 2 Alexei Podtelezhnikov 2009-03-22 09:24:38 EDT
Here is another weird development. The LAM-7.1.4 package has just been fixed and is poised for Fedora 11:

http://koji.fedoraproject.org/koji/buildinfo?buildID=94934

I thought that LAM was absorbed into OpenMPI, so effectivelly there is no upstream for LAM. I would expect LAM to be dropped, OpenMPI to be upgraded to 1.3.1, and let it coexist with mpich2.
Comment 3 Orion Poplawski 2009-04-13 16:49:50 EDT
Ping?  Need a co-maintainer?
Comment 4 Alexei Podtelezhnikov 2009-04-14 09:43:38 EDT
I got it. There is too much value in MPI to properly maintain it in Fedora.
There is better attention paid to it in RHEL :/

https://rhn.redhat.com/errata/RHEA-2009-0152.html
Comment 5 Tom "spot" Callaway 2009-04-14 17:15:04 EDT
I've updated the openMPI build in rawhide (it should make it just under the wire for Fedora 11) to 1.3.1.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1298868

Doug, perhaps you should consider letting someone with more time/interest maintain (or co-maintain) this package in Fedora? I'm closing out this bug, but please consider it.
Comment 6 Doug Ledford 2009-04-14 17:27:33 EDT
Tom, did you not read comment #1?  There *is* someone in the process of taking it over.  However, both he and I have non-Fedora responsibilities in addition to Fedora responsibilities, so our work is on an as possible basis.
Comment 7 Tom "spot" Callaway 2009-04-14 17:33:00 EDT
I did read comment #1. I still think it might be good to open this package up for maintenance from a willing community member who may have more time than you or Jay to devote to this package. Especially given that there is a volunteer in comment #3.
Comment 8 Doug Ledford 2009-04-14 18:06:13 EDT
It's open to cvsextras commits.  In addition, I gave someone else (Can't remember name at the moment) full privs.

Note You need to log in before you can comment on or make changes to this bug.